# Interface ProcessBatchDestination

interface ProcessBatchDestination {
indexOffset: number;
indices: Uint16Array<ArrayBufferLike> | Uint32Array<ArrayBufferLike>;
initialVertexOffset: number;
positionOffset: number;
positions: Float32Array;
uvOffset: number;
uvs: Float32Array;
}

##### Index

### Properties

indexOffset
indices
initialVertexOffset
positionOffset
positions
uvOffset
uvs

## Properties

### indexOffset

indexOffset: number

### indices

indices: Uint16Array<ArrayBufferLike> | Uint32Array<ArrayBufferLike>

### initialVertexOffset

initialVertexOffset: number

### positionOffset

positionOffset: number

### positions

positions: Float32Array

### uvOffset

uvOffset: number

### uvs

uvs: Float32Array